/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { ButtonControl } from './button-control';
import * as i0 from "@angular/core";
export declare class AswButtonDialog implements OnInit {
    private formBuilder;
    dialogRef: MatDialogRef<AswButtonDialog>;
    control: ButtonControl;
    constants: any;
    aswEditButtonForm: FormGroup;
    status: boolean;
    constructor(formBuilder: FormBuilder, dialogRef: MatDialogRef<AswButtonDialog>, control: ButtonControl);
    ngOnInit(): void;
    validateFormBuilder(): void;
    editProperty(control: ButtonControl): void;
    onNoClick(): void;
    onSubmit(): void;
    onChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswButtonDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswButtonDialog, "asw-button-dialog", never, {}, {}, never, never>;
}
